Bug 84464

Summary: "pyconfig.h: No such file or directory" when building openoffice-2.0-devel WITHOUT_MOZILLA+WITHOUT_JAVA+WITH_KDE
Product: Ports & Packages Reporter: Ron MacNeil <ron.DOT.macneil.AT.acnielsen.DOT.com.DOT.au>
Component: Individual Port(s)Assignee: freebsd-openoffice (Nobody) <openoffice>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Ron MacNeil freebsd_committer 2005-08-01 22:50:14 UTC
Build of openoffice-2.0-devel port (updated August 1st) with build options "WITHOUT_MOZILLA=1 WITHOUT_JAVA=1 WITH_KDE=1" breaks during "Building project pyuno" phase with "pyconfig.h: No such file or directory" error message.  End of build log below.

Thanks guys, love your work.

[...]

=============
Building project pyuno
=============
/usr/ports/editors/openoffice-2.0-devel/work/pyuno/unotypes
mkout -- version: 1.4
cppumaker @/tmp/mkYJi9dX
------------------------------
Making: ../unxfbsd.pro/misc/unotypes.dpc
dmake subdmake=true  -f makefile.mk product="full" depend=t ALLDPC
------------------------------
No Dependencies
-------------
/usr/ports/editors/openoffice-2.0-devel/work/pyuno/source/module
------------------------------
Making: ../../unxfbsd.pro/misc/pyuno.dpc
dmake subdmake=true  -f makefile.mk product="full" depend=t ALLDPC
Making : Dependencies
touch ../../unxfbsd.pro/misc/pyuno.dpc
--- NOOPTFILES ---
------------------------------
Making: ../../unxfbsd.pro/slo/pyuno_module.obj
g++-ooo -Wreturn-type -fmessage-length=0 -c -I.  -I. -I../inc -I../../inc -I../../unx/inc -I../../unxfbsd.pro/inc -I. -I/usr/ports/editors/openoffice-2.0-devel/work/solver/680/unxfbsd.pro/inc/stl -I/usr/ports/editors/openoffice-2.0-devel/work/solver/680/unxfbsd.pro/inc/external -I/usr/ports/editors/openoffice-2.0-devel/work/solver/680/unxfbsd.pro/inc -I/usr/ports/editors/openoffice-2.0-devel/work/solenv/unxfbsd/inc -I/usr/ports/editors/openoffice-2.0-devel/work/solenv/inc -I/usr/ports/editors/openoffice-2.0-devel/work/res -I/usr/ports/editors/openoffice-2.0-devel/work/solver/680/unxfbsd.pro/inc/stl -I/usr/ports/editors/openoffice-2.0-devel/work/solenv/inc/Xp31 -INO_JAVA_HOME/include -INO_JAVA_HOME/include/freebsd -INO_JAVA_HOME/include/bsd -INO_JAVA_HOME/include/native_threads/include -I/usr/X11R6/include     -I. -I../../res -I. -O0   -I/usr/ports/editors/openoffice-2.0-devel/work/solver/680/unxfbsd.pro/inc/python -pipe -mcpu=pentiumpro -Wno-ctor-dtor-privacy -fvisibility-inl
 ines-hidden -g -fexceptions -fno-enforce-eh-specs   -fpic -DFREEBSD -DUNX -DVCL -DGCC -DC300 -DINTEL -DGXX_INCLUDE_PATH=/usr/local/gcc-ooo/i386-portbld-freebsd6.0/3.4.1/include/c++ -DCVER=C300 -D_USE_NAMESPACE  -DX86 -D_PTHREADS -D_REENTRANT -DNEW_SOLAR -D_USE_NAMESPACE=1 -DSTLPORT_VERSION=400 -DHAVE_GCC_VISIBILITY_FEATURE -D__DMAKE -DUNIX -DCPPU_ENV=gcc3 -DSUPD=680 -DPRODUCT -DNDEBUG -DPRODUCT_FULL -DOSL_DEBUG_LEVEL=0 -DEXCEPTIONS_ON -DCUI -DSRC680   -DSHAREDLIB -D_DLL_  -DMULTITHREAD  -o ../../unxfbsd.pro/slo/pyuno_module.o /usr/ports/editors/openoffice-2.0-devel/work/pyuno/source/module/pyuno_module.cxx
`-mcpu=' is deprecated. Use `-mtune=' or '-march=' instead.
In file included from /usr/ports/editors/openoffice-2.0-devel/work/solver/680/unxfbsd.pro/inc/stl/stl/_vector.h:572,
                 from /usr/ports/editors/openoffice-2.0-devel/work/solver/680/unxfbsd.pro/inc/stl/stl/_hashtable.h:34,
                 from /usr/ports/editors/openoffice-2.0-devel/work/solver/680/unxfbsd.pro/inc/stl/stl/_hash_map.h:34,
                 from /usr/ports/editors/openoffice-2.0-devel/work/solver/680/unxfbsd.pro/inc/stl/hash_map:27,
                 from /usr/ports/editors/openoffice-2.0-devel/work/pyuno/source/module/pyuno_impl.hxx:64,
                 from /usr/ports/editors/openoffice-2.0-devel/work/pyuno/source/module/pyuno_module.cxx:74:
/usr/ports/editors/openoffice-2.0-devel/work/solver/680/unxfbsd.pro/inc/stl/stl/_bvector.h:37:1: warning: "__WORD_BIT" redefined
In file included from /usr/include/sys/limits.h:36,
                 from /usr/include/limits.h:128,
                 from /usr/local/gcc-ooo/i386-portbld-freebsd6.0/3.4.1/lib/gcc/i386-portbld-freebsd6.0/3.4.1/include/limits.h:122,
                 from /usr/local/gcc-ooo/i386-portbld-freebsd6.0/3.4.1/lib/gcc/i386-portbld-freebsd6.0/3.4.1/include/syslimits.h:7,
                 from /usr/local/gcc-ooo/i386-portbld-freebsd6.0/3.4.1/lib/gcc/i386-portbld-freebsd6.0/3.4.1/include/limits.h:11,
                 from /usr/local/gcc-ooo/i386-portbld-freebsd6.0/3.4.1/include/c++/climits:49,
                 from /usr/ports/editors/openoffice-2.0-devel/work/solver/680/unxfbsd.pro/inc/stl/climits:27,
                 from /usr/ports/editors/openoffice-2.0-devel/work/solver/680/unxfbsd.pro/inc/stl/stl/_algobase.h:43,
                 from /usr/ports/editors/openoffice-2.0-devel/work/solver/680/unxfbsd.pro/inc/stl/stl/_vector.h:36,
                 from /usr/ports/editors/openoffice-2.0-devel/work/solver/680/unxfbsd.pro/inc/stl/stl/_hashtable.h:34,
                 from /usr/ports/editors/openoffice-2.0-devel/work/solver/680/unxfbsd.pro/inc/stl/stl/_hash_map.h:34,
                 from /usr/ports/editors/openoffice-2.0-devel/work/solver/680/unxfbsd.pro/inc/stl/hash_map:27,
                 from /usr/ports/editors/openoffice-2.0-devel/work/pyuno/source/module/pyuno_impl.hxx:64,
                 from /usr/ports/editors/openoffice-2.0-devel/work/pyuno/source/module/pyuno_module.cxx:74:
/usr/include/machine/_limits.h:95:1: warning: this is the location of the previous definition
In file included from ../../inc/pyuno/pyuno.hxx:11,
                 from /usr/ports/editors/openoffice-2.0-devel/work/pyuno/source/module/pyuno_impl.hxx:67,
                 from /usr/ports/editors/openoffice-2.0-devel/work/pyuno/source/module/pyuno_module.cxx:74:
/usr/ports/editors/openoffice-2.0-devel/work/solver/680/unxfbsd.pro/inc/python/Python.h:8:22: pyconfig.h: No such file or directory
/usr/ports/editors/openoffice-2.0-devel/work/solver/680/unxfbsd.pro/inc/python/Python.h:21:2: #error "limits.h is required by std C -- why isn't HAVE_LIMITS_H defined?"
In file included from /usr/ports/editors/openoffice-2.0-devel/work/solver/680/unxfbsd.pro/inc/python/Python.h:48,
                 from ../../inc/pyuno/pyuno.hxx:11,
                 from /usr/ports/editors/openoffice-2.0-devel/work/pyuno/source/module/pyuno_impl.hxx:67,
                 from /usr/ports/editors/openoffice-2.0-devel/work/pyuno/source/module/pyuno_module.cxx:74:
/usr/ports/editors/openoffice-2.0-devel/work/solver/680/unxfbsd.pro/inc/python/pyport.h:554:2: #error "LONG_BIT definition appears wrong for platform (bad gcc/glibc config?)."
/usr/ports/editors/openoffice-2.0-devel/work/pyuno/source/module/pyuno_module.cxx: In function `void initpyuno()':
/usr/ports/editors/openoffice-2.0-devel/work/pyuno/source/module/pyuno_module.cxx:692: error: `PyEval_InitThreads' undeclared (first use this function)
/usr/ports/editors/openoffice-2.0-devel/work/pyuno/source/module/pyuno_module.cxx:692: error: (Each undeclared identifier is reported only once for each function it appears in.)
dmake:  Error code 1, while making '../../unxfbsd.pro/slo/pyuno_module.obj'
'---* tg_merge.mk *---'
dmake:  Error code 255, while making 'do_it_noopt'
'---* tg_merge.mk *---'

ERROR: Error 65280 occurred while making /usr/ports/editors/openoffice-2.0-devel/work/pyuno/source/module
dmake:  Error code 1, while making 'build_all'
'---* tg_merge.mk *---'
*** Error code 255

Stop in /usr/ports/editors/openoffice-2.0-devel.
** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portinstall15576.0 make WITHOUT_MOZILLA=1 WITHOUT_JAVA=1 WITH_KDE=1
** Fix the problem and try again.
--->  Build of editors/openoffice-2.0-devel ended at: Mon, 01 Aug 2005 17:17:54 +1000 (consumed 01:36:35)
--->  Fresh installation of editors/openoffice-2.0-devel ended at: Mon, 01 Aug 2005 17:17:54 +1000 (consumed 01:36:38)
--->  Listing the results (+:done / -:ignored / *:skipped / !:failed)
        ! editors/openoffice-2.0-devel  (missing header)
--->  Packages processed: 0 done, 0 ignored, 0 skipped and 1 failed
--->  Session ended at: Mon, 01 Aug 2005 17:17:54 +1000 (consumed 01:37:06)

How-To-Repeat: cd /usr/ports/editors/openoffice-2.0-devel
make WITHOUT_MOZILLA=1 WITHOUT_JAVA=1 WITH_KDE=1
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2005-08-01 23:46:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer(s).
Comment 2 Maho Nakata freebsd_committer 2005-08-11 04:14:48 UTC
State Changed
From-To: open->closed

Committed, thanks!